跳转到主要内容

Endpoint

POST /v1/mj/submit/action
分组: 图片 / midjourney

Headers

  • Authorization: 必填 示例: Bearer $API_KEY
  • Content-Type: 必填 示例: application/json

Request example

{
  "customId": "MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011",
  "taskId": "1321323323232"
}

Responses

  • 200: 成功

OpenAPI specification

openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/mj/submit/action:
    post:
      summary: 图片操作(Action)
      deprecated: false
      description: ''
      tags:
        - 图片/midjourney
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: true
          example: Bearer $API_KEY
          schema:
            type: string
        - name: Content-Type
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                customId:
                  type: string
                  description: >-
                    示例值:
                    MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011,进度接口会返回
                taskId:
                  type: string
                  description: 任务id
              required:
                - customId
                - taskId
              x-apifox-orders:
                - customId
                - taskId
            example:
              customId: MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011
              taskId: '1321323323232'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  description:
                    type: string
                  properties:
                    type: object
                    properties: {}
                    x-apifox-orders: []
                  result:
                    type: integer
                    description: 任务id
                required:
                  - code
                  - description
                  - properties
                  - result
                x-apifox-orders:
                  - code
                  - description
                  - properties
                  - result
                description: '状态码: 1(提交成功), 21(已存在), 22(排队中), other(错误) 示例值: 1'
              example:
                code: 1
                description: 提交成功
                properties: {}
                result: 1320098173412546
          headers: {}
          x-apifox-name: 成功
      security: []
      x-apifox-folder: 图片/midjourney
      x-apifox-status: released
      x-run-in-apifox: https://app.apifox.com/web/project/5443699/apis/api-282830115-run
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []